Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags Unix file access permissions. Every Unix file system entry has a 9-bit bitmask associated with it controlling file access from the file's owner, group, and for everybody else. These bits control whether the owner/group/other can Read, Write, or Execute the file.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions Equivalent to FileAccessPermissions.UserReadWriteExecute | FileAccessPermissions.GroupReadWriteExecute | FileAccessPermissions.OtherReadWriteExecute (the 777 permission).
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions Equivalent to FileAccessPermissions.UserRead | FileAccessPermissions.UserWrite | FileAccessPermissions.GroupRead | FileAccessPermissions.GroupWrite | FileAccessPermissions.OtherRead | FileAccessPermissions.OtherWrite (the 666 permission).
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions

  Is executable by group.

  The executable bit on directories controls searching within the directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions Is readable by group.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions

  Is readable, writable, and executable by group.

  The executable bit on directories controls searching within the directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions Is writable by group.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions

  Is executable by others.

  The executable bit on directories controls searching within the directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions Is readable by others.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions

  Is readable, writable, and executable by others.

  The executable bit on directories controls searching within the directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions Is writable by others.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions

  Is executable by user (owner).

  The executable bit on directories controls searching within the directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions Is readable by user (owner).
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions

  Is readable, writable, and executable by user (owner).

  The executable bit on directories controls searching within the directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.FileAccessPermissions Is writable by user (owner).